Search found 95 matches

by duckmug
Wed Aug 18, 2021 10:44 am
Forum: Open discussion
Topic: Topology Naming Solution Roadmap
Replies: 1
Views: 255

Topology Naming Solution Roadmap

I've heard that in the next Freecad release the topology naming problem would have a solution implemented and would like to ask if this is true.

I've tried searching for this but haven't been able to find an answer.
by duckmug
Fri Aug 06, 2021 10:50 am
Forum: Help on using FreeCAD
Topic: Reference Constraint From Different Part
Replies: 1
Views: 125

Reference Constraint From Different Part

Lets say that I have an assembly with A2plus.

If the parts were in the same file, I could simply use the expression: "Sketch01.Constraints.Length" for example.

Is there a way from the file of one part to do that for a part in another file?
by duckmug
Tue Jul 27, 2021 6:22 am
Forum: Python scripting and macros
Topic: Draft.scale no longer works
Replies: 3
Views: 458

Re: Draft.scale no longer works

Update: Removing the keywords delta and legacy did the trick:

Code: Select all

import Draft

obj = FreeCADGui.Selection.getSelection()[0]

Draft.scale(obj, App.Vector(2,2,2), center=App.Vector(0,0,0), forcedraft=True)

FreeCAD.ActiveDocument.recompute()
by duckmug
Tue Jul 27, 2021 5:20 am
Forum: Python scripting and macros
Topic: Draft.scale no longer works
Replies: 3
Views: 458

Draft.scale no longer works

I am trying this very simple example after coming across a thread: import Draft obj = FreeCADGui.Selection.getSelection()[0] Draft.scale(obj, delta=App.Vector(2,2,2), center=App.Vector(0,0,0), legacy=True) It results to an error: TypeError: scale() got an unexpected keyword argument 'delta' I also t...
by duckmug
Sun Jul 25, 2021 11:32 pm
Forum: Help on using FreeCAD
Topic: Extruding Single Body
Replies: 3
Views: 190

Re: Extruding Single Body

Perfect! Thanks a lot!
by duckmug
Sun Jul 25, 2021 11:05 pm
Forum: Help on using FreeCAD
Topic: Extruding Single Body
Replies: 3
Views: 190

Extruding Single Body

I was wondering if there is a way to extrude like what I did in the example within the same body, without having that separating line that indicates that they are two separate solids. This is not a question about this specific part, it's just a simplified example. I know that I could extrude it from...
by duckmug
Fri Jul 09, 2021 4:50 pm
Forum: Help on using FreeCAD
Topic: Advise on part design
Replies: 11
Views: 675

Re: Advise on part design

Bance wrote: Fri Jul 09, 2021 3:52 pm One has to think in 3D when using 3D cad :lol:
To be honest, I was trying to think of the connecting part as part of the sketch, something like what papyblaise did.

But I liked your fillet addition approach too.
by duckmug
Fri Jul 09, 2021 4:48 pm
Forum: Help on using FreeCAD
Topic: Advise on part design
Replies: 11
Views: 675

Re: Advise on part design

papyblaise wrote: Fri Jul 09, 2021 4:27 pm My eyebolt with spherical head
do the subtrac (bolt / M16)
That's a nice approach! Thank you!
by duckmug
Fri Jul 09, 2021 3:49 pm
Forum: Help on using FreeCAD
Topic: Advise on part design
Replies: 11
Views: 675

Re: Advise on part design

Bance wrote: Fri Jul 09, 2021 3:46 pm Like this:-

EB.png
Thank you very much!
by duckmug
Fri Jul 09, 2021 3:40 pm
Forum: Help on using FreeCAD
Topic: Advise on part design
Replies: 11
Views: 675

Re: Advise on part design

Bance wrote: Fri Jul 09, 2021 3:38 pm I would use a revolve.
Could you please give a few more hints for this scenario?